Subject: bug#15841: closed (Re: bug#15841: Display bugs with cache-long-lines non-nil)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 18 Nov 2013 16:33:04 +0000

Your bug report

#15841: Display bugs with cache-long-lines non-nil

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15841: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15841
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15841: Display bugs with cache-long-lines non-nil
From: Eli Zaretskii <[email-masked]>
To: Andy Moreton <[email-masked]>, Stephen Berman <[email-masked]>
Cc: [email-masked]
Date: Mon, 18 Nov 2013 18:32:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Stephen Berman <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 15 Nov 2013 19:05:42 +0100
> 
> Initial tests succeeded: `i' in Dired works as expected and there is no
> infloop or display oddities.  I'll report back if any problems crop up
> on further use.  Otherwise, thanks for fixing this!

No further problems, so I committed the changes as trunk revision
115138, and I'm closing this bug.

Subject: Display bugs with cache-long-lines non-nil
From: Eli Zaretskii <[email-masked]>
To: Nathan Trapuzzano <[email-masked]>
Cc: [email-masked]
Date: Sat, 09 Nov 2013 10:18:28 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Redirected to a new bug report, please use this one in the future.

> From: Nathan Trapuzzano <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  Michael Heerdegen <[email-masked]>,  [email-masked],  [email-masked]
> Date: Fri, 08 Nov 2013 14:07:44 -0500
> 
> Stefan Monnier <[email-masked]> writes:
> 
> >> I wonder if we should simply turn it on by default, and leave it
> >> there.  That way, any bugs that it exposes will be flushed out very
> >> quickly.  Stefan?
> >
> > Let's try it.
> 
> Sorry I'm late to the party, but this broke linum and nlinum for me,
> using the defaults.  Any time I insert a new line, the line numbers get
> totally messed up--most of them don't even display any more.  And then
> using motion commands sometimes results in really bizarre behavior
> (apparently only with linum/nlinum so far), such as when I do
> forwad-sexp and point goes to the end of some sexp other than the one at
> point.